Guest-host escape bug sees Xen project urge rapid upgrade

Xen hypervisor v.4.5.1 offers over 100 fixes and improvements

Xen project hypervisor logo

The Xen Project has released version 4.5.1 of its eponymous hypervisor and recommended that users upgrade, stat.

The new release contains over 100 improvements, most bug fixes or improvements on version 4.5.

There is, however, one bigg-ish new flaw in the form of XSA-135, a guest-host escape mess that means “A guest which has access to an emulated PCNET network device (e.g. with "model=pcnet" in their VIF configuration) can exploit this vulnerability to take over the qemu process elevating its privilege to that of the qemu process.”

The Project gives top billing to a fix that results in “Removal of race conditions in the Xen default toolstack that affected libvirt, in particular when used with OpenStack” and is also keen on stability improvements to CPUPOOL handling and better handling of what The Reg's virtualisation desk likes to call “inceptionisation”, as that's a cooler term than “nested virtualisation.”

The full list of fixes and downloads can be found here.

And one more thing: the project's bug list lists a to-be-disclosed flaw known only as XSA-137 due for release on July 7th. We'll check it out once it lands. ®




Biting the hand that feeds IT © 1998–2019